import Vue from 'vue'
import App from './App.vue'
import router from './router'
import ElementUI from 'element-ui';
import VConsole from 'vconsole/dist/vconsole.min.js' //import vconsole
import animated from 'animate.css'
import './plugins/axios'
import 'default-passive-events'
import store from './store'

import 'element-ui/lib/theme-chalk/index.css';
// import axios from 'axios'

//import {ApiClient} from "../src/grpc/im_grpc_web_pb";

if (process.env.NODE_ENV === 'development') {
    console.log("process.env.NODE_ENV: development");
    // 显示控制台
    let vConsole = new VConsole();
    // 演示版本数据
    require('./Mock/index.js');
} else {
    // let vConsole = new VConsole();
    // 演示版本数据
    // require('./Mock/index.js');
}

Vue.config.productionTip = false;
Vue.use(ElementUI);
Vue.use(animated);


// 建立grpc连接服务
//let client = new ApiClient("http://192.168.0.3:20010", null, null);

// 挂载为全局方法
//Vue.prototype.client = client;

new Vue({     
    router,
    store,
    render: h => h(App)
}).$mount('#app');

